org.eclipse.wst.jsdt.core.dom

## Class TemplateLiteral

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.ASTNode
  - - org.eclipse.wst.jsdt.core.dom.Expression
    - - org.eclipse.wst.jsdt.core.dom.TemplateLiteral

    public class TemplateLiteral
    extends Expression

AST Node for ES2015 Template literals

### Field Summary

Fields
`static ChildListPropertyDescriptor` `ELEMENTS_PROPERTY` The "elements" structural property of this node type
`static ChildListPropertyDescriptor` `EXPRESSIONS_PROPERTY` The "expressions" structural property of this node type
`static ChildPropertyDescriptor` `TAG_PROPERTY` The "tag" structural property of this node type

### Fields inherited from class org.eclipse.wst.jsdt.core.dom.ASTNode

`ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_NAME, ARRAY_TYPE, ARROW_FUNCTION_EXPRESSION, ASSIGNMENT, ASSIGNMENT_NAME, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DEBUGGER_STATEMENT, DO_STATEMENT, EMPTY_EXPRESSION, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, EXPORT_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_IN_STATEMENT, FOR_OF_STATEMENT, FOR_STATEMENT, FUNCTION_DECLARATION, FUNCTION_DECLARATION_STATEMENT, FUNCTION_EXPRESSION, FUNCTION_INVOCATION, FUNCTION_REF, FUNCTION_REF_PARAMETER, IF_STATEMENT, IMPORT_DECLARATION, INFERRED_TYPE, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVASCRIPT_UNIT, JSDOC, LABELED_STATEMENT, LINE_COMMENT, LIST_EXPRESSION, MALFORMED, MEMBER_REF, META_PROPERTY, MODIFIER, MODULE_SPECIFIER, NULL_LITERAL, NUMBER_LITERAL, OBJECT_LITERAL, OBJECT_LITERAL_FIELD, OBJECT_NAME, ORIGINAL, PACKAGE_DECLARATION, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RECOVERED, REGULAR_EXPRESSION_LITERAL, REST_ELEMENT_NAME, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_VARIABLE_DECLARATION, SPREAD_ELEMENT, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, TAG_ELEMENT, TEMPLATE_ELEMENT, TEMPLATE_LITERAL, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_EXPRESSION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, UNDEFINED_LITERAL, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WITH_STATEMENT, YIELD_EXPRESSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List` `elements()` Returns the live ordered list of `TemplateElement`s for this template literal
`java.util.List` `expressions()` Returns the live ordered list of expressions for this template literal
`Expression` `getTag()` Returns the tag for the template Literal or null of the literal is not tagged.
`static java.util.List<StructuralPropertyDescriptor>` `propertyDescriptors(int apiLevel)` Returns a list of structural property descriptors for this node type.
`void` `setTag(Expression tag)` Sets the given tag value as tag for this template literal

### Methods inherited from class org.eclipse.wst.jsdt.core.dom.Expression

`resolveBoxing, resolveConstantExpressionValue, resolveTypeBinding, resolveUnboxing`

### Methods inherited from class org.eclipse.wst.jsdt.core.dom.ASTNode

`accept, copySubtree, copySubtrees, delete, equals, getAST, getBodyChild, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, hashCode, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG_PROPERTY

    public static final ChildPropertyDescriptor TAG_PROPERTY

The "tag" structural property of this node type

#### ELEMENTS_PROPERTY

    public static final ChildListPropertyDescriptor ELEMENTS_PROPERTY

The "elements" structural property of this node type

#### EXPRESSIONS_PROPERTY

    public static final ChildListPropertyDescriptor EXPRESSIONS_PROPERTY

The "expressions" structural property of this node type

### Method Detail

#### propertyDescriptors

    public static java.util.List<StructuralPropertyDescriptor> propertyDescriptors(int apiLevel)

Returns a list of structural property descriptors for this node type. Clients must not modify the result.

Parameters:
  `apiLevel` - the API level; one of the `AST.JLS*` constants
Returns:
  a list of property descriptors (element type: `StructuralPropertyDescriptor`)

#### expressions

    public java.util.List expressions()

Returns the live ordered list of expressions for this template literal

Returns:
  live list of expressions of type `Expression`

#### elements

    public java.util.List elements()

Returns the live ordered list of `TemplateElement`s for this template literal

Returns:
  live list of `TemplateElement`s

#### getTag

    public Expression getTag()

Returns the tag for the template Literal or null of the literal is not tagged.

Returns:
  tag or null

#### setTag

    public void setTag(Expression tag)

Sets the given tag value as tag for this template literal

Parameters:
  `tag` -